SQLUtilities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.utilities.database
Class SQLUtilities

    java.lang.Object
      com.fenalco.utilities.database.SQLUtilities

    public class SQLUtilities

extends java.lang.Object

Author:
  Andrés Romero Rodríguez esta clase proporciona acceso a la base de datos mediante consultas sql. Todos los métodos que proporciona son estáticos

Constructor Summary
`SQLUtilities()`

Method Summary
`static void` | `execute(java.lang.String sql)` Ejecuta una instrucción sql.
`static void` | `executeOnTransaction(java.util.Vector sqls)` este método ejecuta un conjunto de instrucciones sql dentro de una transacción.
`static int` | `getNextId(java.lang.String table, java.lang.String field)` Esta función retorna el siguiente valor el campo definido por el parámetro field en la tabla definida por el parámetro table
`static java.util.Vector` | `query(java.lang.String sql)` este método ejecuta una consulta sql a la base de datos y retorna el resultado como un Vector en donde cada fila representa un registro, ese registro esta almacenado como un Hashtable en donde cada llave es el nombre del campo y al valor es el contenido de ese campo
`static java.lang.String` | `repairQuery(java.lang.String sql, DataBaseConnection dbc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLUtilities

    public SQLUtilities()

Method Detail

### query

    public static java.util.Vector query(java.lang.String sql)
                                  throws QueryException

  este método ejecuta una consulta sql a la base de datos y retorna el resultado como un Vector en donde cada fila representa un registro, ese registro esta almacenado como un Hashtable en donde cada llave es el nombre del campo y al valor es el contenido de ese campo

  Parameters:
    `sql` - la cadena sql que se va a ejecutar
  Returns:
    un Vector de hashtables; en donde cada hashtable representa una fila dentro de la tabla resultante de la consulta y los resultados están organizados de forma que el key es el nombre de la columna y el value es el valor de esa columna en la fila indicada
  Throws:
    `QueryException` - si no se puede ejecutar la consulta

### execute

    public static void execute(java.lang.String sql)
                        throws ExecuteSQLException

  Ejecuta una instrucción sql. La instrucción puede ser cualquier cosa: select, insert, update; aunque para select se recomienda que se use query ya que este retorna un vector con los resultados

  Parameters:
    `sql` - la instrucción que se va a ejecutar
  Throws:
    `ExecuteSQLException` - si no se puede ejecutar la instrucción

### executeOnTransaction

    public static void executeOnTransaction(java.util.Vector sqls)
                                     throws TransactionException

  este método ejecuta un conjunto de instrucciones sql dentro de una transacción.

  Parameters:
    `sqls` - es un vector de Strings en donde cada uno representa una de las instrucciones sql que debe estar en la transacción.
  Throws:
    `TransactionException` - si no se puede ejecutar la transacción, antes de lanzar la excepción se intenta hacer un rollback.

### getNextId

    public static int getNextId(java.lang.String table,
                                java.lang.String field)
                         throws QueryException

  Esta función retorna el siguiente valor el campo definido por el parámetro field en la tabla definida por el parámetro table

  Parameters:
    `table` - nombre de la tabla
    `field` - nombre del campo de la tabla
  Returns:
    int que representa el id para el caso de autonuméricos
  Throws:
    `QueryException`

### repairQuery

    public static java.lang.String repairQuery(java.lang.String sql,
                                               DataBaseConnection dbc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD